---
save_as: index.html
---
# Alexis Métaireau

👋 **Bienvenue, je suis Alexis**, un developpeur intéressé par
le logiciel libre, les libertés numériques et la coopération. 
Vous trouverez principalement sur ce site des réflexions sur mes expériences
professionelles ainsi que quelques lectures.

Vous pouvez me contacter sur ``alexis`` @ ``notmyidea.org``.

## 💻 Projets informatiques

Voici quelques logiciels pour lesquels j'ai participé de façon significative.
Vous pouvez aussi aller faire un tour sur ma page
[Github](https://github.com/almet) ou [Gitlab](https://gitlab.com/almet) pour
voir d'autres contributions.

[Pelican](http://getpelican.com)
: Il s'agit d'un générateur de site statique que j'ai [créé en
2010](https://blog.notmyidea.org/pelican-a-simple-static-blog-generator-in-python.html).
Ce site fonctionne grace à ce logiciel, et il est utilisé par des projets comme
le [Noyau Linux](https://www.kernel.org/pelican.html) et
[Debian](https://bits.debian.org/pages/about.html).

[I Hate Money](http://ihatemoney.org)
: Un site web qui permet de gérer les dépenses de groupes, [créé fin
2011](https://blog.notmyidea.org/how-are-you-handling-your-shared-expenses.html).
Il est possible de rentrer qui à payé quoi, et pour qui, et une balance est
gérée pour vous.

[Kinto](https://github.com/kinto/kinto)
: Un backend générique pour des applications Web. J'ai initié ce projet avec
des collègues [en
2012](https://blog.notmyidea.org/thoughts-about-a-form-generation-service-gis-enabled.html)
alors que je travaillais pour Mozilla. Le projet est actuellement utilisé pour
gérer la synchronisation de certaines données dans Firefox.

[Copanier](https://github.com/spiral-project/copanier)
: Un logiciel web créé en 2019, qui permet d'organiser des groupements
d'achats. Ce logiciel à d'abord été écrit par [Yohan
Boniface](https://yohanboniface.me/) et je l'ai ensuite repris et adapté à
l'usage d'un groupement auquel je participe.


## 🥹 Expériences passées

[Brasserie du Vieux Singe](https://www.vieuxsinge.com/)
: J'ai co-fondé en 2017 une brasserie artisanale biologique qui défend des
valeurs de coopération, de partage et de gastronomie. J'en suis parti à l'été
2023 pour retourner vers le developpement. La Brasserie existe toujours.

[Mozilla](https://mozilla.org)
: J'ai travaillé de 2011 à 2016 pour Mozilla au sein de l'équipe « Services ».
J'ai pu travailler sur des projets autour des données utilisateur, du
chiffrement et de la synchronisation, ainsi que pour le passage à l'échelle de
certaines sites comme addons.mozilla.com.

## 🌟 Valeurs et intérets

Logiciel Libre
: Je travaille pour et avec du logiciel libre depuis des années. C'est à la
fois un plaisir et une évidence. J'ai pu rencontrer un état d'esprit et une
culture d'ouverture dont j'aurais du mal à me passer ! Je continue à maintenir
plusieurs logiciels.

Coopération et médiation
: J'aime travailler en collaboration avec d'autres personnes et trouver comment
faire pour que nos interactions soient les plus saines possibles. La qualité
des interactions m'intéresse autant que le travail en tant que tel.

Pragmatisme
: Tendre vers la perfection veut aussi dire ne pas trop s'attarder sur
certains détails. Parfois, « le mieux est l'ennemi du bien ».

Bonne humeur
: Parce qu'on a qu'une vie, alors autant se marrer :-) #yolo

## 🧑‍🔧Technologie

Python
: J'ai l'habitude d'utiliser Python au quotidien, il s'agit de mon couteau
suisse. Je suis familier avec son écosystème, et plusieurs frameworks (Django,
Flask et Pyramid).

Linux
: J'utilise Linux en tant que système d'exploitation et pour la gestion des
serveurs. Je suis spécialement à l'aise avec les systèmes Arch Linux et Debian.

Frontend
: Ce n'est pas ma spécialité, mais j'ai pris beaucoup de plaisir à travailler
avec un outil comme [Elm](https://elm-lang.org/), qui permet de ramener de la
sérénité dans le developpement d'application côté *front¨*, grace à un typage
fort.

Administration Système
: Je m'occupe de faire tourner quelques services pour des tiers et pour moi
même. La maintenance des serveurs fait donc partie du lot :-)

## 🎓 Éducation

- Master's degree in Software Engineering, University of Oxford Brookes.
- BTS Informatique et Réseau, Angers.
